cURL
curl --request GET \
--url https://api.become1.de/api/v2/employees/{employeeId}/flex/access \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.become1.de/api/v2/employees/{employeeId}/flex/access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.become1.de/api/v2/employees/{employeeId}/flex/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.become1.de/api/v2/employees/{employeeId}/flex/access",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.become1.de/api/v2/employees/{employeeId}/flex/access"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.become1.de/api/v2/employees/{employeeId}/flex/access")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.become1.de/api/v2/employees/{employeeId}/flex/access")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"employeeId": "<string>",
"budget": {},
"allowedModules": [
"MEALS"
],
"accumulateBudget": false,
"validFrom": "2023-11-07T05:31:56Z",
"validFromYearMonth": "<string>",
"dateDeleted": "2023-11-07T05:31:56Z",
"flexTaxRuleTemplateId": "default",
"validUntil": "2023-11-07T05:31:56Z",
"validUntilYearMonth": "<string>"
}
]Flex
Flex Access
GET
/
api
/
v2
/
employees
/
{employeeId}
/
flex
/
access
cURL
curl --request GET \
--url https://api.become1.de/api/v2/employees/{employeeId}/flex/access \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.become1.de/api/v2/employees/{employeeId}/flex/access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.become1.de/api/v2/employees/{employeeId}/flex/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.become1.de/api/v2/employees/{employeeId}/flex/access",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.become1.de/api/v2/employees/{employeeId}/flex/access"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.become1.de/api/v2/employees/{employeeId}/flex/access")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.become1.de/api/v2/employees/{employeeId}/flex/access")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"employeeId": "<string>",
"budget": {},
"allowedModules": [
"MEALS"
],
"accumulateBudget": false,
"validFrom": "2023-11-07T05:31:56Z",
"validFromYearMonth": "<string>",
"dateDeleted": "2023-11-07T05:31:56Z",
"flexTaxRuleTemplateId": "default",
"validUntil": "2023-11-07T05:31:56Z",
"validUntilYearMonth": "<string>"
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Date in "yyyy-MM-dd" format
Response
200 - application/json
The unique primary key (UUID) of the entity.
Available options:
MEALS, HEALTH, INTERNET, HOLIDAY, KITA, MOBILITY, SPORTS yyyy-MM
yyyy-MM